	integer s1, s2, left, right
	parameter ( s1 = 1,			!stream 1
     +		    s2 = 2 )			!stream 2

	parameter (left = 1, right = 2)

	logical	eos(2), indirect(2), check_size,check_vers,check_cre
	logical check_rev, out_file, printed
	character*256 table, table2
	character*256	fspec(2), dirsave(2)
	character*160 wspec(2)
	character*80 file(2)
	character*3 type(2)
	character*6 version(2)
	character curdate*20
	integer*4 context(2), cstart(2), cend(2), iunit(2)
	integer*4 lbracket(2), rbracket(2)
	integer*4 alloc(2), used(2), page_line
	character*15 cre(2), rev(2)

	common /dc_one/ eos, indirect, context, cstart, cend, 
     +   alloc, used, page_line, iunit,
     +   check_size,check_vers,check_cre,check_rev, out_file,
     +   lbracket, rbracket, printed
	common /dc_two/ wspec, fspec, file, type, version,
     +   curdate, dirsave, cre, rev
	common /dc_table/ table, table2

	integer*4 total_files(2), total_checked(2), total_added(2)
	integer*4 total_diff
	common /stats/ total_files,total_checked,total_added,total_diff
